Tíquete #42935

Meson: Functionality equivalent to autotools .project files

: 2021-09-27 14:33 Última Atualização: 2022-06-18 15:03

Relator:
Dono:
Tipo:
Estado:
Fechado
Componente:
Marcos:
Prioridade:
5 - Medium
Gravidade:
5 - Medium
Resolução:
Fixed
Arquivo:
1

Details

Our autotools build supports fork project to define some of its properties in a .project file. Support for similar mechanism is needed in meson based builds.

Ticket History (3/7 Histories)

2021-09-27 14:33 Updated by: cazfi
  • New Ticket "Meson: Functionality equivalent to autotools .project files" created
2022-04-28 09:31 Updated by: cazfi
Comentário

With meson versions < 0.57 the implementation would be messy compared to fc.read() usage that meson 0.57 offers, so maybe we consider #43362 dependency of this.

2022-05-29 03:18 Updated by: cazfi
  • Marco Update from (Nenhum) to 3.2.0
Comentário

Autotools is still the main build system in 3.1 + this is currently needed for freeciv-web (that's using master anyway)

2022-06-14 00:09 Updated by: cazfi
2022-06-14 00:09 Updated by: cazfi
  • File 0040-Meson-Add-support-for-.fcproj-files.patch (File ID: 9487) is deleted
2022-06-14 00:10 Updated by: cazfi
  • Dono Update from (Nenhum) to cazfi
  • Resolução Update from Nenhum to Accepted
2022-06-18 15:03 Updated by: cazfi
  • Estado Update from Aberto to Fechado
  • Resolução Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login